/*home-star*/
.home-ourproducts-block {
    transition: all 0.3s ease;
}

.home-ourproducts-block:hover .elementor-widget-button a {
    color: var(--button-color);
    fill: var(--button-color);
}

.home-paa .elementor-widget-button {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease;
}

.home-paa:hover .elementor-widget-button {
    max-height: 94px;
}

.home-news .elementor-post__text {
    position: relative;
}

.home-news .elementor-post__meta-data {
    position: absolute;
    top: 30px;
    height: 20px;
    line-height: 20px !important;
    left: 45px;
}

.home-news .elementor-post__meta-data .elementor-post-date {
    margin-left: 5px;
}

.home-news .elementor-post__meta-data:before {
    content: '';
    position: absolute;
    background: url(/wp-content/uploads/2025/06/usu-time.png) no-repeat center center;
    width: 20px;
    height: 20px;
    top: 50%;
    margin-left: -12px;
    transform: translate(-50%, -50%);
}

.home-news article .elementor-post__title a {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.home-news article:hover .elementor-post__title a {
    color: var(--e-global-color-primary) !important;
    text-decoration: underline;
    text-decoration-color: var(--e-global-color-primary);
    text-decoration-thickness: 1px;
    transition: color 0.3s ease, text-decoration-color 0.3s ease, text-decoration-thickness 0.3s ease;
}

.home-news article .elementor-post__read-more {
    position: relative;
    display: block;
    height: 30px;
    line-height: 30px;
    margin-top: 16px;
    transition: height 0.3s ease, margin-top 0.3s ease;
}

.home-news article:hover .elementor-post__read-more:before {
    content: '';
    position: absolute;
    background: url(/wp-content/uploads/2025/06/arrow-right.png) no-repeat center center;
    width: 22px;
    height: 22px;
    top: 50%;
    transform: translate(0, -50%);
    transition: background 0.3s ease;
}

.home-news article:hover .elementor-post__read-more:after {
    content: '';
    position: absolute;
    background: url(/wp-content/uploads/2025/06/usu-blk.png) no-repeat center center;
    width: 60px;
    height: 30px;
    top: 50%;
    right: 0;
    transform: translate(0, -50%);
    transition: background 0.3s ease;
}

/*home-end*/

/*archive-news-star*/
.home-news.archive .elementor-post__text {
    padding: 30px 24px 26px 24px;
}

.home-news.archive .elementor-post__meta-data {
    top: 0;
}

.home-news.archive article {
    border: 1px solid transparent;
    transition: border-color 0.3s;
}

.home-news.archive article:hover {
    border: 1px solid #0000001A;
}

.paa-post article:hover .elementor-post__title a {
    color: var(--e-global-color-primary) !important;
    text-decoration: underline;
    text-decoration-color: var(--e-global-color-primary);
    text-decoration-thickness: 1px;
    transition: color 0.3s ease, text-decoration-color 0.3s ease, text-decoration-thickness 0.3s ease;
}

.paa-post article .elementor-post__excerpt p {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.paa-post article .elementor-post__text .elementor-post__read-more {
    opacity: 0;
    transition: opacity 0.3s;
}

.paa-post article:hover .elementor-post__read-more {
    opacity: 1;
}

/*archive-news-end*/
/*technical-service-star*/
.technical-service-tab .e-n-tabs-heading button {
    flex: 1;
}

.elementor .elementor-element.technical-service-tab.elementor-widget-n-tabs>.elementor-widget-container>.e-n-tabs>.e-n-tabs-heading .e-n-tab-title[aria-selected=true] {
    background-image: url("/wp-content/uploads/2025/07/tab-bj.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
}

.technical-service-tab .e-n-tabs-heading button[aria-selected=true]:after {
    content: "";
    position: absolute;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-top: 20px solid #040294;
    width: 0;
    height: 0;
}

.elementor .elementor-element.technical-service-tab.elementor-widget-n-tabs>.elementor-widget-container>.e-n-tabs[data-touch-mode=false]>.e-n-tabs-heading .e-n-tab-title[aria-selected=false]:hover {
    background-image: url("/wp-content/uploads/2025/07/tab-bj.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/*technical-service-end*/
/*video-star*/
.obf-video .e-con-full.e-flex:hover svg path {
    fill: #00ff7c;
}

/*video-end*/
/* header-star */
.header-df-hover .elementor-icon:hover svg path {
    fill: #00ff7c;
}

/* header-end */
/*footer-star*/
.footer-df-menu .elementor-nav-menu li a {
    display: inline-flex;
}

#wpfront-scroll-top-container {
    bottom: 45% !important;
}

/*footer-end*/
/* s */
.usu-re-rp:hover .elementor-button {
    color: var(--e-global-color-primary) !important;
    fill: var(--e-global-color-primary) !important;
}

/* .added_to_cart.wc-forward {
	display: none;
} */
/* e */
.elementor-post-navigation .elementor-post-navigation__separator-wrapper {
    width: 70px;
}

/*page-s*/
.pagination-container {
    text-align: center;
}

.elementor-pagination a,
.elementor-pagination span,
.pagination-container span,
.pagination-container a {
    display: inline-block;
    width: 42px;
    height: 42px;
    background-color: #F3F3F3;
    line-height: 42px;
    text-align: center;
    color: #616161;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.elementor-pagination .page-numbers.current,
.elementor-pagination a:hover,
.pagination-container .page-numbers.current,
.pagination-container a:hover,
.pagination-container.page-bg .page-numbers.current,
.pagination-container.page-bg a:hover {
    background-color: #00A550;
    color: #FFF;
}

.pagination-container.page-bg span,
.pagination-container.page-bg a {
    background-color: #F3F3F3;
}
.elementor-pagination .page-numbers.prev, .elementor-pagination .page-numbers.next {
    background: #F3F3F3 !important;
}
.elementor-pagination a.page-numbers.prev:hover, .elementor-pagination a.page-numbers.next:hover {
    background: #00A550 !important;
}
/*page-e*/
/*wp-forms-s*/
.usu-form-hta .wpforms-submit-container {
    text-align: center;
}

.usu-form-hta .wpforms-submit-container button {
    background-color: var(--e-global-color-primary) !important;
}

.usu-form-hta .wpforms-field-container input,
.usu-form-hta .wpforms-field-container textarea {
    background-color: #F3F3F3 !important;
}

/*wp-forms-e*/
/* table-pro-s */
/* table.frzTbl-table td {
    vertical-align: middle;
}

.frzTbl-table .wcpt-heading-row {
    border-bottom: unset;
}

.frzTbl-table tbody {
    box-sizing: border-box;
    border-left: 1px solid #D5D5D5;
    border-right: 1px solid #D5D5D5;
    border-bottom: 1px solid 1px #D5D5D5;
} */

/* table-pro-e */
.elementor-1221 .elementor-element.elementor-element-9fe8b19 .coupon .input-text#coupon_code {
    border-width: 1px;
    border-style: solid;
    border-color: var(--e-global-color-primary);
    height: 100%;
}

.elementor-1221 .elementor-element.elementor-element-9fe8b19 .coupon .input-text#coupon_code:focus-visible {
    border-color: var(--e-global-color-primary);
    /* 蓝色边框表示聚焦 */
    box-shadow: unset;
    /* 外发光效果 */
}

.product-serie:hover .elementor-heading-title {
    color: var(--e-global-color-primary) !important;
}

.df-product-attributes li {
    display: inline-block;
    width: 48%;
    margin-bottom: 20px;
    font-size:18px;
    line-height: 28px;
    color: #4D4E4D;
}
.df-product-attributes li strong {
    color: #1A1A1A;
    margin-right: 10px;
}
.woocommerce a.added_to_cart,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.added::after {
    display: none;
}

.woocommerce .elementor-element.product-thumb-list .flex-control-thumbs li>img:not(.flex-active) {
    border-color: #DEDEDE;
}

.woocommerce-account .woocommerce-MyAccount-navigation {
    float: left;
    width: 20%;
    background: #f3f3f3;
    padding: 20px 0px;
}

.woocommerce-account .woocommerce-MyAccount-content {
    float: right;
    width: 78%;
    background: #f3f3f3;
    padding: 20px 20px;
}
.ppc-button-wrapper {
     display: none;
}
.user-account a {
    color: var(--e-global-color-text);
}

.user-account .woocommerce-MyAccount-navigation a {
    font-size: 16px;
    display: block;
    padding: 15px 15%;
}

.user-account .is-active a {
    color: var(--e-global-color-primary);
}

.user-account .woocommerce-info {
    border-top-color: var(--e-global-color-primary);
}

.user-account .woocommerce-info::before {
    color: var(--e-global-color-primary);
}

.qib-button-wrapper .quantity input.input-text.qty.text {
    max-height: 41px;
}

.wp-block-woocommerce-checkout .wc-block-checkout__login-prompt {
    background: var(--e-global-color-primary);
    padding: 5px 10px;
    color: #fff;
}
.back-to-top .elementor-widget-container img {
    cursor: pointer;
}
/*.right-about-us {*/
/*    cursor: pointer;*/
/*}*/
/*.right-about-us:hover {*/
/*    width: 271px;*/
/*}*/
/*.right-about-us:hover .right-about-us-btn {*/
/*    display: flex;*/
/*    width: 160px;*/
/*    justify-content: center;*/
/*}*/

/*.right-about-us .right-about-us-btn {*/
/*    display: none;*/
/*}*/


.search-product-list .elementor-pagination {
    margin-top: 60px;
}
.search-product-list .elementor-posts article {
    border-bottom: 1px solid #D5D5D5;
    border-left: 1px solid #D5D5D5;
    border-right: 1px solid #D5D5D5;
}
.search-product-list .elementor-posts article:first-child {
    border-top: 1px solid #d5d5d5;
}
.search-product-list .elementor-posts .elementor-post__text {
    display: flex;
    justify-content: space-between;
    flex-direction: unset;
    flex-grow: unset;
    padding: 19px 30px;
}
.search-product-list .elementor-posts .elementor-post__text .elementor-post__title {
    display: flex;
    align-items: center;
}
.search-product-list .elementor-posts .elementor-post__text a.elementor-post__read-more {
    border: 1px solid var(--e-global-color-primary);
    padding: 15px 24px;
    box-sizing: border-box;
}
.search-product-list .elementor-posts article:hover .elementor-post__title a {
    color: var(--e-global-color-primary);
}
.search-product-list .elementor-posts article:hover a.elementor-post__read-more {
    background-color: var(--e-global-color-primary);
    color: #FFF;
}
.search-product-list .elementor-posts-nothing-found {
    text-align: center;
}
/*translate-press-s*/
header .df-translate-lang {
    width: 140px;
}
.trp-language-switcher {
    width: 155px !important;
}
.elementor-shortcode .trp-ls-shortcode-current-language, .elementor-shortcode .trp-ls-shortcode-language {
    width: 155px !important;
}
.trp-language-switcher > div {
    border:inherit;
    background-image: inherit;
    background-color: inherit;
}
.trp-language-switcher > div > a {
    font-size: 18px;
    color: var(--e-global-color-text);
    font-weight: 500;
    line-height: 20px;
    font-family: 'Microsoft YaHei';
}
.df-main-translate-lang .trp-language-switcher > div > a {
    color: #FFF;
}
.trp-language-switcher > div > a:hover {
    color: var(--e-global-color-primary);
}
.trp-shortcode-switcher[aria-hidden="true"] svg {
    display: none;
}
.df-usu-translate .trp-language-item-name {
	color: inherit;
	font-size: inherit;
	line-height: inherit;
}
.df-usu-translate .trp-shortcode-arrow path {
	stroke: #1A1A1A;
}
.trp-shortcode-switcher__wrapper {
    margin-top: 7px;
}
/*translate-press-e*/
.wcpt-pagination .page-numbers.current, body .wcpt-pagination a.page-numbers {
    box-shadow: unset;
    border-color: var(--e-global-color-primary);
    color: var(--e-global-color-primary);
}
.wcpt-pagination .page-numbers.current, .wcpt-pagination .page-numbers.current:hover {
    box-shadow: none;
    cursor: default;
    font-weight: 400;
    background-color: var(--e-global-color-primary);
    color: #FFF;
}
.wcpt-pagination .page-numbers:not(.dots):not(.current):hover {
    border-color: var(--e-global-color-primary);
    background-color: var(--e-global-color-primary);
    color: #FFF;
}

.wcpt .wcpt-filter, .wcpt .wcpt-search-wrapper {
    width: 30%;
}
.wcpt-header .wcpt-filter.wcpt-dropdown .wcpt-filter-heading, .wcpt-header .wcpt-search-wrapper>.wcpt-search  {
    width: 100%;
}
.woocommerce .price del, .wcpt-product-type-simple .wcpt-item-row del, .product-price .awdr_cart_strikeout_line del {
    display: none !important;
}
.wcpt-product-type-simple .wcpt-item-row.df-table-price ins {
    /*display: none !important;*//*暂时关闭*/
}
.wcpt-product-type-simple .wcpt-item-row.df-table-price a {
    margin: 0;
    color: #fe0000;
    font-size: 14px;
}
/*mobile menu*/
.mob-menu-logo-holder .mob-retina-logo {
    margin-top: 10px;
}
 .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt{
    background-color: #00A550;
}
/*mobile menu ene*/
@media (max-width: 761px) {
    .home-ourproducts-block .elementor-widget-button .elementor-button-wrapper>a .elementor-button-text {
        color: var(--button-color);
        fill: var(--button-color);
    }
    
    .home-ourproducts-block .elementor-widget-button .elementor-button-wrapper>a svg {
        color: var(--button-color);
        fill: var(--button-color);
    }

    .new-detai-nav .elementor-post-navigation {
        flex-direction: column;
        align-items: flex-start !important;
        gap: 15px;
    }
    .new-detai-nav .elementor-widget-container .elementor-post-navigation .elementor-post-navigation__prev.elementor-post-navigation__link, .new-detai-nav .elementor-widget-container .elementor-post-navigation .elementor-post-navigation__next.elementor-post-navigation__link {
        width: 100% !important;  
    }
    .new-detai-nav .elementor-post-navigation .elementor-post-navigation__link__prev span.post-navigation__prev--label, .new-detai-nav .elementor-post-navigation .elementor-post-navigation__link__next span.post-navigation__next--label {
        display: none;
    }
    
    .df-product-attributes li {
        display: inline-flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .elementor-widget-woocommerce-cart .woocommerce table.cart tbody tr {
        padding: 0;
    }
    .woocommerce-account .woocommerce-MyAccount-navigation {
        float: unset;
        width: 100%;
    }
    .woocommerce-account .woocommerce-MyAccount-content {
        float: unset;
        width: 100%;
    }
    nav.woocommerce-MyAccount-navigation li {
        display: inline-flex;
        width: 49%;
        margin: 0 auto;
        margin: 0;
        padding: 0;
        height: auto;
        border-top: 1px solid rgba(0, 0, 0, .045);
        background: none;
        list-style: none;
        position: relative;
    }
    .user-account .woocommerce-MyAccount-navigation a {
            padding: 15px 5%;
    }
    nav.woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link--customer-logout a {
        background: red;
        width: 100px;
        height: 40px;
        align-items: center;
        display: flex;
        justify-content: center;
        color: #ffF;
    }
	.home-paa .elementor-widget-button {
		max-height: 94px;
	}
	.wcpt .wcpt-filter, .wcpt .wcpt-search-wrapper {
        width: 48.5%;
        margin-right: 1.2%;
    }
    .wcpt-add-selected-to-cart-with-pagination {
        margin-top: 40px;
    }
    #wcpt-1170 .wcpt-device-phone{
        margin-top: 15px;
    }
    .wcpt-header .wcpt-filter.wcpt-dropdown .wcpt-filter-heading, .wcpt-header .wcpt-search-wrapper>.wcpt-search {
        height: 42px;
    }
    .wcpt-navigation.wcpt-header>.wcpt-filter-row>.wcpt-filter-column>.wcpt-item-row .wcpt-search-wrapper {
        
    }
}
@media (max-width: 1024px) {
    body tbody .qib-button-wrapper {
        margin: 0;
        justify-content: flex-end;
        float: unset;
    }
	.home-paa .elementor-widget-button {
		max-height: 94px;
	}
}